# browsers
windowrule = tag +browser, match:class ^([Gg]oogle-chrome|[Cc]hrome)$
windowrule = tag +browser, match:class ^([Ff]irefox|[Ff]irefox-esr|[Ff]irefox-bin|org.mozilla.firefox)$

windowrule = opacity 0.9 0.8, match:tag browser*


# messengers
windowrule = tag +messenger, match:class ^([Mm]attermost|[Mm]attermost-desktop)$
windowrule = tag +messenger, match:class ^([Tt]elegram|[Tt]elegram-desktop|org.telegram.desktop)$

windowrule = opacity 1 0.9, match:tag messenger* 


# tools
windowrule = tag +tools, match:class ^([Dd][Bb]eaver|[Dd][Bb]eaver-ce|[Dd][Bb]eaver-community)$

windowrule = opacity 0.85 0.75, match:tag tools* 


# jetbrains
windowrule = no_initial_focus on, match:class (jetbrains-idea),    match:title ^win.*
windowrule = no_initial_focus on, match:class (jetbrains-studio),  match:title ^win(.*)
windowrule = no_initial_focus on, match:class (jetbrains-goland),  match:title ^win.*
windowrule = no_initial_focus on, match:class (jetbrains-toolbox), match:float yes
windowrule = no_initial_focus on, match:class (jetbrains-goland),  match:float yes, match:title ^$, match:initial_title ^$


# other
# windowrule = float, center, match:class ^(xfce-polkit)$
# windowrule = float, center, match:class ^(file-roller)$


# Permanent
# windowrule = size 800 400,match:float yes
# set
